#
# spec file for package python2-gsw
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# Note: this package is compatible with python2 and python3, but there is
# a faster, more up-to-date version that is python3-only, python3-gsw.
# So only the python2 version is being built here.

Name:           python2-gsw
Version:        3.0.6
Release:        lp151.1.1
Summary:        Gibbs Seawater Oceanographic Package of TEOS-10
# Note: Python code is MIT licensed
# MATLAB function names and documentation are BSD-3-Clause licensed (see http://teos-10.org/pubs/gsw/html/gsw_licence.html)
License:        MIT AND BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/TEOS-10/GSW-python
Source:         https://files.pythonhosted.org/packages/source/g/gsw/gsw-%{version}.tar.gz
Source1:        http://teos-10.org/pubs/gsw/html/gsw_licence.html
BuildRequires:  python-devel
BuildRequires:  python-numpy-devel
BuildRequires:  python-rpm-macros
BuildRequires:  python-setuptools
# SECTION tests
BuildRequires:  python-oct2py
BuildRequires:  python-pytest
BuildRequires:  python-scipy
# /SECTION
Requires:       python-numpy
Provides:       python-gsw = %{version}
BuildArch:      noarch

%description
Python implementation of the Thermodynamic Equation of
Seawater 2010 (TEOS-10).

This package contains the last version with support for Python 2.

%prep
%setup -q -n gsw-%{version}
cp %{SOURCE1} .
sed -i '1s/^#!.*//' gsw/utilities/mat2npz.py gsw/utilities/list_npz.py

%build
export CFLAGS="%{optflags}"
python2 setup.py build

%install
python2 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
py.test

%files
%doc CHANGES.txt README.rst gsw_licence.html
%license LICENSE.txt
%{python2_sitelib}/*

%changelog
* Fri Mar  2 2018 sebix+novell.com@sebix.at
- remove check boundary condition
- use %%license macro
* Mon Aug 14 2017 toddrme2178@gmail.com
- Initial version
